This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 147472 - Adding FOP support
Adding FOP support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xmlto (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
http://xml.apache.org/fop/
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-08 06:56 EST by Gavin Henry
Modified: 2009-09-21 16:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-17 07:20:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patches to use FOP instead of passivetex (9.35 KB, patch)
2006-01-12 18:36 EST, Tommy Reynolds
no flags Details | Diff

  None (edit)
Description Gavin Henry 2005-02-08 06:56:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Request For Enhancement:

FOP (Formatting Objects Processor) is the world's first print
formatter driven by XSL formatting objects (XSL-FO) and the world's
first output independent formatter. It is a Java application that
reads a formatting object (FO) tree and renders the resulting pages to
a specified output. Output formats  currently supported include PDF,
PCL, PS, SVG, XML (area tree representation), Print, AWT, MIF and TXT.
The primary output target is PDF.

Version-Release number of selected component (if applicable):
xmlto-0.0.18.tar.bz2

How reproducible:
Didn't try

Steps to Reproduce:


Additional info:
Comment 1 Tommy Reynolds 2006-01-12 18:36:23 EST
Created attachment 123143 [details]
Patches to use FOP instead of passivetex


New output conversions are also available, courtesy of FOP.

For documents of type "fo":
awt  dvi  mif  pcl  pdf  ps  svg  txt

For documents of type "docbook":
awt  fo    html-nochunks  javahelp  mif  pdf  svg  xhtml
dvi  html  htmlhelp	  man	    pcl  ps   txt  xhtml-nochunks
Comment 2 Matthew Miller 2006-07-10 18:38:40 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 Ondrej Vasik 2007-06-18 04:46:01 EDT
Still not done in current release and it has nothing to do with exact FC
version. Moving as FutureFeature in devel line.
Comment 4 Karsten Wade 2007-11-29 14:08:03 EST
FOP is now built and available in rawhide:

http://www.redhat.com/archives/fedora-devel-java-list/2007-November/msg00030.html

We're interested in testing this in Fedora Docs.  If you can update xmlto to use
FOP (perhaps Tommy's patches still work?), then we can use the full Fedora Docs
toolchain in testing.

Thanks - Karsten
Comment 5 Ondrej Vasik 2007-11-30 04:20:04 EST
Tommy's patches are good, but I don't want to use fop instead of passivetex - I
would like to make an option to choose fop instead of passivetex. I got upstream
from Tim Waugh, fop support(and some other things) should be done in xmlto
0.0.20 - I'm working on it and I hope it will be done in December 2007. It would
be great to test it by Fedora Docs toolchain - there is a lot of limitations in
passivetex usage and option of fop processing is good thing. 
Comment 6 Karsten Wade 2007-12-02 15:20:01 EST
(In reply to comment #5)
> Tommy's patches are good, but I don't want to use fop instead of passivetex - I
> would like to make an option to choose fop instead of passivetex. 

That makes sense.  The established tool is passivetex; does it also provide a
smaller filesystem and package dependency footprint?  So FOP can be called as an
optional processor.

> I got upstream
> from Tim Waugh, fop support(and some other things) should be done in xmlto
> 0.0.20 - I'm working on it and I hope it will be done in December 2007. It would
> be great to test it by Fedora Docs toolchain - there is a lot of limitations in
> passivetex usage and option of fop processing is good thing. 

Agreed, we're eager to test it too.  As soon as you have anything working in
rawhide, please email fedora-docs-list@redhat.com and/or myself directly and
I'll pass on the notice.
Comment 7 Karsten Wade 2007-12-02 15:22:12 EST
(In reply to comment #6)
> (In reply to comment #5)
> > Tommy's patches are good, but I don't want to use fop instead of passivetex - I
> > would like to make an option to choose fop instead of passivetex. 
> 
> That makes sense.  The established tool is passivetex; does it also provide a
> smaller filesystem and package dependency footprint?  So FOP can be called as an
> optional processor.

Sorry, that doesn't read correctly.  How about, "Having an established, probably
smaller footprint tool as the default is fine with me.  That would mean FOP is
called as an optional processor, right?"
Comment 8 Ondrej Vasik 2008-01-17 07:20:36 EST
Yep, fop would be called as optional processor for xmlto.
Just built xmlto with experimental fop support in rawhide. 
Package xmlto-0.0.20-1.fc9 , closing RAWHIDE.

Note You need to log in before you can comment on or make changes to this bug.